package com.brilliance.isc.convert.mt2xx;

import com.brilliance.isc.swift.objmtconvert.manager.MtCreatorManager;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT298Creator;
import com.brilliance.isc.swift.objmtconvert.result.MtResult;
import org.junit.Test;

/**
 * @author huangmengyuan
 * @create 2023/3/1
 */
public class MT298Test {
    @Test
    public void mt298_Test(){
        MT298Creator mt298Creator = new MT298Creator("298");
        //20
        mt298Creator.setTransactionReferenceNumber("LOMYV/5632");//16x
        //12
        mt298Creator.setSubMessageType("298");
        //77E
        mt298Creator.setProprietaryMessage("KNIUYHBJH/OIYU\r\nPOMYTV/MUYHB");//73z<crlf>[n*78z]
        MtCreatorManager.packMT(mt298Creator);

    }
    @Test
    public void mt298_Test2(){
        MT298Creator mt298Creator = new MT298Creator("298");
        //20
        mt298Creator.setTransactionReferenceNumber("LOMYV/5632\r\nIHKJHJK");//16x
        //12
        mt298Creator.setSubMessageType("29801");
        //77E
        mt298Creator.setProprietaryMessage("KNIUYHBJH/OIYU\r\nPOMYTV/MUYHB");//73z<crlf>[n*78z]
        MtCreatorManager.packMT(mt298Creator);

    }
}
